Raritan PX2/PX3 JSON-RPC API

EnergyWiseManager.idl
1 /* SPDX-License-Identifier: BSD-3-Clause */
2 /*
3 * Copyright 2010 Raritan Inc. All rights reserved.
4 */
5
6 #ifndef __ENERGYWISE_MANAGER_IDL__
7 #define __ENERGYWISE_MANAGER_IDL__
8
9 #include <EnergyWiseSettings.idl>
10
11 /** Cisco EnergyWise */
12 module cew {
13 /** EnergyWise manager */
14 interface EnergyWiseManager{
15
16 /**
17 * Retrieve EnergyWiseSettings
18 *
19 * @return \c EnergyWiseSettings
20 */
21 EnergyWiseSettings getSettings();
22 /**
23 * Set settings (domain level)
24 * @return 0 if OK
25 * @return 1 if invalid param
26 */
27 int setSettings(in EnergyWiseSettings settings);
28 };
29 }
30
31 #endif //__ENERGYWISE_PDU_IDL__
cew
Cisco EnergyWise.
Definition: EnergyWiseManager.idl:12
cew::EnergyWiseManager
EnergyWise manager.
Definition: EnergyWiseManager.idl:14
cew::EnergyWiseSettings
EnergyWise settings.
Definition: EnergyWiseSettings.idl:13